CREATE TABLE hwm_tm_statuses_secondary (
    STATUS_ID                NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER           NOT NULL,
    MODULE_ID                VARCHAR2(128),
    RESOURCE_ID              NUMBER(18, 0),
    TM_BLDG_BLK_ID           NUMBER(18, 0),
    TM_BLDG_BLK_VERSION      NUMBER(9, 0) ,
    DATE_FROM                TIMESTAMP(6) ,
    DATE_TO                  TIMESTAMP(6) ,
    TM_STATUS_DEF_ID         NUMBER(18, 0),
    STATUS_VALUE             VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LDG_OR_BUI_ID            NUMBER(18, 0),
    PART_DATE                TIMESTAMP(6) ,
    PART_GRP_TYPE_ID         NUMBER(18, 0),
    STATUS_ID                NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ENTERPRISE_ID            NUMBER           NOT NULL,
    MODULE_ID                VARCHAR2(128),
    RESOURCE_ID              NUMBER(18, 0),
    TM_BLDG_BLK_ID           NUMBER(18, 0),
    TM_BLDG_BLK_VERSION      NUMBER(9, 0) ,
    DATE_FROM                TIMESTAMP(6) ,
    DATE_TO                  TIMESTAMP(6) ,
    TM_STATUS_DEF_ID         NUMBER(18, 0),
    STATUS_VALUE             VARCHAR2(120),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    LDG_OR_BUI_ID            NUMBER(18, 0),
    PART_DATE                TIMESTAMP(6) ,
    PART_GRP_TYPE_ID         NUMBER(18, 0),
    CONSTRAINT pk_hwm_tm_statuses_secondary PRIMARY KEY (STATUS_ID, STATUS_ID)
);
